In der Referenz stöbern
Alle Ressourcen
Ziele
4 Endpunkte · Die Endpunktbeschreibungen sind auf Englisch.
Get the goal attached to a category
GET
/households/{householdId}/categories/{categoryId}/goalread:goals
Parameter
| Name | Ort | Erforderlich |
|---|---|---|
| categoryId | path | Erforderlich |
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X GET https://api.vokse.ai/households/current/categories/{categoryId}/goalAntwort200 · Success
Create or replace the goal on a category (one goal per category)
PUT
/households/{householdId}/categories/{categoryId}/goalwrite:goals
Parameter
| Name | Ort | Erforderlich |
|---|---|---|
| categoryId | path | Erforderlich |
Request-Body
json
{ "kind": "target_by_date", "targetCents": 600000, "byDate": "2026-12-31"}Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -H "Content-Type: application/json" \ -H "Idempotency-Key: $(uuidgen)" \ -X PUT https://api.vokse.ai/households/current/categories/{categoryId}/goal \ -d '{"kind":"target_by_date","targetCents":600000,"byDate":"2026-12-31"}'Antwort200 · Success
Remove the goal from a category
DELETE
/households/{householdId}/categories/{categoryId}/goalwrite:goals
Parameter
| Name | Ort | Erforderlich |
|---|---|---|
| categoryId | path | Erforderlich |
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X DELETE https://api.vokse.ai/households/current/categories/{categoryId}/goalAntwort204 · No content
List every goal in the household
GET
/households/{householdId}/goalsread:goals
Beispielanfrage
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X GET https://api.vokse.ai/households/current/goalsAntwort200 · Success